# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class GenerateUtil

    java.lang.Object
      com.google.gdata.util.GenerateUtil

    public class GenerateUtil

extends java.lang.Object

Helper class with static generate methods to generate atom for old or new data model as appropriate.

Constructor Summary
`GenerateUtil()`

Method Summary
`static void` `generateAtom(com.google.gdata.util.common.xml.XmlWriter writer, IEntry entry, ExtensionProfile extProfile)` Generates the atom output for an entry using the given xml writer and extension profile.
`static void` `generateAtom(com.google.gdata.util.common.xml.XmlWriter writer, IFeed feed, ExtensionProfile extProfile)` Generates the atom output for a feed using the given xml writer and extension profile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateUtil

    public GenerateUtil()

Method Detail

### generateAtom

    public static void generateAtom(com.google.gdata.util.common.xml.XmlWriter writer,
                                    IEntry entry,
                                    ExtensionProfile extProfile)
                             throws java.io.IOException

  Generates the atom output for an entry using the given xml writer and extension profile.

  Throws:
    `java.io.IOException`

### generateAtom

    public static void generateAtom(com.google.gdata.util.common.xml.XmlWriter writer,
                                    IFeed feed,
                                    ExtensionProfile extProfile)
                             throws java.io.IOException

  Generates the atom output for a feed using the given xml writer and extension profile.

  Throws:
    `java.io.IOException`